<?php

/**
 * GBeaver Connect Elementor
 * 
 * @subpackage  class
 * @package     gb-elementor
 * 
 * @author      WP Beaver World
 * @link        http://www.wpbeaverworld.com
 * @since       1.0
 */

final class GBElementor
{
	static public function _init()
	{
		add_action( 'genesis_meta', __CLASS__ . '::gbe_setup', 99 );
		add_action( 'init', 		__CLASS__ . '::gbe_add_post_type_support' );

		add_action( 'wp_enqueue_scripts', __CLASS__ . '::gbe_enqueue_scripts' );
	}

	static public function gbe_setup()
	{
		$elementor_edit_mode = get_post_meta( get_the_ID(), '_elementor_edit_mode', true );

		if( ! $elementor_edit_mode )
			return;

		$cm_layouts = array( 'full-width-content', 'no-header-footer', 'header-footer' );
		if( in_array( genesis_site_layout(), $cm_layouts ) )
		{
			add_filter( 'genesis_structural_wrap-site-inner', '__return_empty_string' );
		}

		add_filter( 'body_class', function( $classes) {
			$classes[] = 'elementor-page-builder';
			return $classes;
		}, 99 );

		if( 'elementor_library' === get_post_type() )
		{
			remove_all_actions( 'genesis_entry_header' );
			remove_all_actions( 'genesis_entry_footer' );
			remove_all_actions( 'genesis_after_entry' );
		}
	}

	static public function gbe_add_post_type_support()
	{
		add_post_type_support( 'elementor_library', 'genesis-layouts' );
	}

	static public function gbe_enqueue_scripts()
	{
		$elementor_edit_mode = get_post_meta( get_the_ID(), '_elementor_edit_mode', true );

		if( ! $elementor_edit_mode )
			return;

		wp_enqueue_style( 'gb-elementor-style', GBE_URL . '/css/gb-elementor.css', array(), GBE_VERSION, 'all' );
	}
}

GBElementor::_init();